TTRSS install Problem and Matrix Synapse Server Problem

Hello everyone,
i bought my Pioneer Freedombox a few days ago and installed the same apps i had running on the Raspberry Pi 3b+ before. Now i have some problems. I guess not all of them are only my mistakes :wink: (but truly the most)

first:
i tried to install TinyTinyRSS and got:

Fehler beim Installieren der Anwendung: (‘ttrss’, ‘’, ‘Traceback (most recent call last):\n File “/usr/share/plinth/actions/ttrss”, line 157, in \n main()\n File “/usr/share/plinth/actions/ttrss”, line 153, in main\n subcommand_method(arguments)\n File “/usr/share/plinth/actions/ttrss”, line 103, in subcommand_enable_api_access\n password=password, host=host)\n File “/usr/lib/python3/dist-packages/psycopg2/init.py”, line 130, in connect\n conn = _connect(dsn, connection_factory=connection_factory, **kwasync)\npsycopg2.OperationalError: FATAL: password authentication failed for user “ttrss”\nFATAL: password authentication failed for user “ttrss”\n\n’)

next:
i installed Matrix-Synapse and could not getting the sever running (maybe because the Freedombox Domainname was the same as on Raspberry Pi? So i changed the domainname and uninstalled Matrix-Synapse on the command line and reinstalled it. The server is running bat the diagnotic is red

systemctl status matrix-synapse give me:

● matrix-synapse.service - Synapse Matrix homeserver
Loaded: loaded (/lib/systemd/system/matrix-synapse.service; enabled; vendor preset: enabled)
Active: active (running) since Sat 2019-08-31 14:51:44 CEST; 1h 7min ago
Main PID: 5673 (python3)
Tasks: 3 (limit: 2304)
Memory: 39.8M
CGroup: /system.slice/matrix-synapse.service
└─5673 /usr/bin/python3 -m synapse.app.homeserver --config-path=/etc/matrix-synapse/homeserver.yaml --config-path=/etc/matrix-synapse/conf.d/

Aug 31 14:52:06 freedombox synapse[5673]: twisted: [] private_key_pem = self.read_file(private_key_path, “tls_private_key_path”)
Aug 31 14:52:06 freedombox synapse[5673]: twisted: [] File “/usr/lib/python3/dist-packages/synapse/config/_base.py”, line 145, in read_file
Aug 31 14:52:06 freedombox synapse[5673]: twisted: [] cls.check_file(file_path, config_name)
Aug 31 14:52:06 freedombox synapse[5673]: twisted: [] File “/usr/lib/python3/dist-packages/synapse/config/_base.py”, line 127, in check_file
Aug 31 14:52:06 freedombox synapse[5673]: twisted: [] % (file_path, config_name, e.strerror)
Aug 31 14:52:06 freedombox synapse[5673]: twisted: [] synapse.config._base.ConfigError: Error accessing file ‘/etc/matrix-synapse/homeserver.tls.key’ (config for tls_private_key_path): No such file or direc
Aug 31 14:52:07 freedombox synapse[5673]: twisted: [] Unhandled error in Deferred:
Aug 31 14:52:07 freedombox synapse[5673]: twisted: []
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/synapse/config/_base.py”, line 123, in check_file
os.stat(file_path)
FileNotFoundError: [Errno 2] No such file or directory: ‘/etc/matrix-synapse/homeserver.tls.key’

                                      During handling of the above exception, another exception occurred:
                                      
                                      Traceback (most recent call last):
                                        File "/usr/lib/python3/dist-packages/synapse/app/_base.py", line 262, in start
                                          refresh_certificate(hs)
                                        File "/usr/lib/python3/dist-packages/synapse/app/_base.py", line 210, in refresh_certificate
                                          hs.config.read_certificate_from_disk(require_cert_and_key=True)
                                        File "/usr/lib/python3/dist-packages/synapse/config/tls.py", line 214, in read_certificate_from_disk
                                          self.tls_private_key = self.read_tls_private_key()
                                        File "/usr/lib/python3/dist-packages/synapse/config/tls.py", line 454, in read_tls_private_key
                                          private_key_pem = self.read_file(private_key_path, "tls_private_key_path")
                                        File "/usr/lib/python3/dist-packages/synapse/config/_base.py", line 145, in read_file
                                          cls.check_file(file_path, config_name)
                                        File "/usr/lib/python3/dist-packages/synapse/config/_base.py", line 127, in check_file
                                          % (file_path, config_name, e.strerror)
                                      synapse.config._base.ConfigError: Error accessing file '/etc/matrix-synapse/homeserver.tls.key' (config for tls_private_key_path): No such file or directory
                                      
                                      During handling of the above exception, another exception occurred:
                                      
                                      Traceback (most recent call last):
                                        File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 1418, in _inlineCallbacks
                                          result = g.send(result)
                                        File "/usr/lib/python3/dist-packages/synapse/app/homeserver.py", line 435, in start
                                          _base.start(hs, config.listeners)
                                        File "/usr/lib/python3/dist-packages/synapse/app/_base.py", line 278, in start
                                          sys.exit(1)
                                      SystemExit: 1

Aug 31 14:57:11 freedombox synapse[5673]: twisted: [phone_stats_home-0] /usr/lib/python3/dist-packages/synapse/app/homeserver.py:570: builtins.DeprecationWarning: The ‘warn’ method is deprecated, use 'warni
Aug 31 14:57:11 freedombox synapse[5673]: synapse.app.homeserver: [phone_stats_home-0] Error reporting stats: DNS lookup failed: no results for hostname lookup: matrix.org.

Maybe the problem is connected to Lets Encrypt, after i changed the Domainname i tried too often reorder a Certifikate? Is it possible to start from 0 with Matrix-Synapse?

The Box is reachable from the Internet
My Freedombox is behind a Router (ports are configured)
Bought my kit in August 2019
Running version 19.15

1 Like

Hello,
after reading the topic “Tiny Tiny RSS Failed to Install” I followed the link from Jvalleroy:

https://salsa.debian.org/freedombox-team/plinth/issues/1303

I deleted tt-rss with apt-get purge tt-rss and then ran

/usr/share/debconf/fix_db.pl.

After that I could easily install tt-rss. This part can be marked as solved. Thank you Sunil Mohan Adapa @sunilmohan-guest

2 Likes

Hello again,
after I uninstalled matrix-synapse with a ssh connection again with apt-get purge I noticed in the final message that a matrix-synapse directory under / var / lib / was not deleted. I renamed this directory and then restarted the Freedombox. After reboot an installation via Plinth failed without error message. So I reinstalled Matrix-synapse on the command line and restarted the Freedombox. Now I could configure via Plinth matrix and the server is running now. I suspect the problem was the changed domain name …
This problem can also be marked as solved

Freedombox Pioneer 19.15
Debian 10
Firefox 60.8.0esr
I love my Freedombox

1 Like

Hi @MikaelB,

Thank you for report and investigating both tissues.

One of the original problems with tt-rss is a bug in debconf and we have a workaround in upcoming release and patch for the Debian package. However, the problem “Password authentication failed” may need somemore work. I am glad you were able workaround it meanwhile. Can you describe the exact circumstances under which you ran into the issue?

The problem with matrix-synapse seems like a regression with the recent improvements we made for Let’s Encrypt handling. It is unlikely that the same domain on Raspberry Pi caused the problem. I will investigate this and try to fix in the upcoming release. It seems most likely caused due to domain name configuration problem. If you face further issues with it please try configuring a domain first, then ensure that Let’s Encrypt certificate is obtained for the domain before installing Let’s Encrypt. Was your domain name configured when you installed matrix-snapse? What failure did you get with matrix-synapse before your reinstalled?

BTW, to uninstall matrix-synapse completely and reinstall with FreedomBox try this:

sudo su -
apt install sqlite3
echo "delete from plinth_module where name='matrixsynapse';" | sqlite3 /var/lib/plinth/plinth.sqlite3
apt purge matrix-syanpse

After that install normally from FreedomBox interface.

Hello
The problem with TT-Rss appeared during the first installation. The installation with Plinth broke off and when I pressed at the start page on the TT-RSS button came the message:

Error installing the application: (‘ttrss’,’ ‘,’ Traceback (most recent call last): \ n File “/ usr / share / plinth / actions / ttrss”, line 157, in \ n main () \ n File “/ usr / share / plinth / actions / ttrss”, line 153, in main subcommand_method ( arguments) \ n “/ usr / share / plinth / actions / ttrss”, line 103, in subcommand_enable_api_access \ n password = password, host = host) \ n File "/ usr / lib / python3 / dist-packages / psycopg2 / init.py “, line 130, in connect \ n conn = _connect (dsn, connection_factory = connection_factory, ** kwasync) \ npsycopg2.OperationalError: FATAL: password authentication failed for user” ttrss “\ nFATAL: password authentication failed for user” TTRSS "\ n \ n ')

As far as I can remember…

The first attempt to put Matrix Synapse into operation was without an error message, only it was not possible to log in. RIOT reported: Matrix Server on your Freedombox is not running. Then I ran diagnostics in Plinth (all red) and later executed via SSH and sysemcl status matrix-synapse. The server ran but it came the error message I first posted on this topic. Then I changed the domain name and uninstalled matrix-synapse with apt-get purge and reinstalled the application in Plinth, without success. Then I uninstalled matrix synapse again and renamed the folder in / var / lib / and reinstall with apt, with success.
If a problem arises again I will try to document everything better
Thank you for the Tipp! Freedombox is an extensive collection of powerful programs. Bringing everything together is certainly not easy.
You all do a very good job. I am excited which way it will continue. Many thanks

1 Like

Navigating away from an installing app should cause no problem. But I will try to investigate the possibility of interrupted installation.

Thanks! I will try some possible scenarios.

Matrix-Synapse:
I can establish a connection between 2 users and use the chat function but i cannot run a video- or phone call. Is it necessary have a TURN server running for that? The package coturn is not installed on my Freedombox. I had uninstalled Martix-Synapse once. TURN might have been uninstalled …

Freedombox Pioneer 19.18
Debian 10
Firefox 60.8.0esr
I love my Freedombox

We are not automatically setting up a TURN server for matrix-synapse yet in FreedomBox. If you have information on how to setup one (or which one to setup), it could help us with setting up one.

I have late realized that the video connections are made possible by matrix and not running on FreedomBox itself. I’ve found a (german) tutorial on how to set up a turn server, the debian package coturn is used in this configuration